# Document constants:
PREVIEW_IMAGE_SHORT_SIDE = 150
PREVIEW_IMAGE_LONGSIDE = 200

MAX_UPLOAD_SIZE_MB = 15
MAX_N_UPLOAD_FILES = 5

IMAGE_EXTENSIONS = {"png", "jpg", "jpeg", "webp", "gif"}
DOCUMENT_EXTENSIONS = {"pdf", "docx", "py", "txt", "json", "html", "js"}

# Prompt constants:
PROMPT_DATE_FORMAT = "%Y-%m-%d %H:%M"
PROMPT_SEPARATOR_LENGTH = 10

# Troubleshooting constants:
CONVERSATION_DEFAULT_NAME = "New chat"
DEFAULT_TITLE_GENERATION_ERROR = "Title Generation Error: "
DEFAULT_DECISIONS_GENERATION_ERROR = "Decision generation Error: "


# Webapp parameters:
DEFAULT_TEMPERATURE = None # Default of DKULLM in DSS 14 to use a 'None' value for the temperature
LOWEST_TEMPERATURE = 0.0
DEFAULT_MAX_LLM_TOKENS: int = 2048